﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmCreateAndUsePopupMenu : Form
    {
        public FrmCreateAndUsePopupMenu()
        {
            InitializeComponent();
        }

        private void FrmCreateAndUsePopupMenu_Load(object sender, EventArgs e)
        {
            vg1.Design("");
        }

        private void btnCreateMenu_Click(object sender, EventArgs e)
        {
            var dlg = vg1.vg.Create("http://www.visual-graph.com/activex/menudlg.xml", false, false);
            dlg.ActiveSheet.SetPropertyValue("cursheet", vg1.vg.ActiveSheet);
            dlg.ShowModal();
            dlg.Free();
        }

        private void btnPopupMenu1_Click(object sender, EventArgs e)
        {
            var menu = vg1.vg.Create( "", true, false );
            menu.LoadFromBuffer( vg1.vg.SaveToBuffer() );
            var id = menu.Popup( Cursor.Position.X, Cursor.Position.Y );
            MessageBox.Show( "you have clicked the menuitem which return " + id );
            menu.Free();

        }

        private void btnPopupMenu2_Click(object sender, EventArgs e)
        {
            var menu = vg1.vg.Create( "http://www.visual-graph.com/activex/popupmenu.xml", true, false );
            var id = menu.Popup(Cursor.Position.X, Cursor.Position.Y);
            MessageBox.Show( "you have clicked the menuitem which return " + id );
            menu.Free();
        }
    }
}
