﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmMain : Form
    {
        private Form frmchildDialog = null;
        public FrmMain()
        {
            InitializeComponent();
        }

        private void button_Click(object sender, EventArgs e)
        {
            if (frmchildDialog != null)
            {
                frmchildDialog.Dispose();
                frmchildDialog = null;
            }
            string formclass = "csharpdemo.Frm" + (sender as Button).Name.Substring(3).ToString();
            frmchildDialog = Activator.CreateInstance(Type.GetType(formclass)) as Form;
            frmchildDialog.FormBorderStyle = FormBorderStyle.None;
            frmchildDialog.TopLevel = false;
            panel1.Controls.Clear();
            panel1.Controls.Add(frmchildDialog);
            frmchildDialog.Location = new Point(0, 0);
            frmchildDialog.Show();
        }

        private void FrmMain_FormClosed(object sender, FormClosedEventArgs e)
        {
            if (frmchildDialog != null)
            {
                frmchildDialog.Dispose();
                frmchildDialog = null;
            }
        }
    }
}
