// Usetimer.cpp : implementation file
//

#include "stdafx.h"
#include "vg.h"
#include "sheet.h"
#include "unit.h"
#include "VC.h"
#include "Usetimer.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Usetimer dialog


Usetimer::Usetimer(CWnd* pParent /*=NULL*/)
  : CDialog(Usetimer::IDD, pParent)
{
  //{{AFX_DATA_INIT(Usetimer)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
}


void Usetimer::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(Usetimer)
  DDX_Control(pDX, IDC_VGCTRL1, vg1);
  //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Usetimer, CDialog)
  //{{AFX_MSG_MAP(Usetimer)
  ON_WM_SIZE()
  ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
  ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Usetimer message handlers

void Usetimer::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  
  if( vg1.m_hWnd )
  {
    vg1.MoveWindow( 0, 0, cx, cy - 60 );
    CWnd* bt = GetDlgItem( IDC_BUTTON1 );
    bt->MoveWindow( 0, cy - 50, 200, 20 );
    bt = GetDlgItem( IDC_BUTTON2 );
    bt->MoveWindow( 200, cy - 50, 200, 20 );
  };  
}

BOOL Usetimer::OnInitDialog() 
{
  CDialog::OnInitDialog();
  
  vg1.Run("http://www.visual-graph.com/activex/timer.xml");
  return TRUE;  // return TRUE unless you set the focus to a control
                // EXCEPTION: OCX Property Pages should return FALSE
}

bool timerenabled = false;

void Usetimer::OnButton1() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
  CUnit d = sheet.UnitByName("Element1");
  VARIANT v = d.GetPropertyValue("Twinkle");
  v.boolVal = !v.boolVal;
  d.SetPropertyValue("Twinkle", v);  
}

void Usetimer::OnButton2() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
  if (timerenabled)
    sheet.SetTimer(0);
  else
    sheet.SetTimer(30);
  timerenabled = !timerenabled;
}
