// VCDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VC.h"
#include "VCDlg.h"
#include "vg.h"
#include "vgctrl.h"
#include "RunPowerSystemWiringdiagram.h"
#include "DesignModeWithOneActiveX.h"
#include "DesignModeWithMultipleActiveX.h"
#include "RunModeWithOneActiveX.h"
#include "RunModeWithMultipleActiveX.h"
#include "CreateUnitFromXML.h"
#include "DesignAndRunScadapicture.h"
#include "DesignAndRunModaldialog.h"
#include "RunModelessdialog.h"
#include "UseDocumentcoordinate.h"
#include "UsePaper.h"
#include "ZoomAndTranslationDocument.h"
#include "DrawNewunitByMouse.h"
#include "AddaUnit.h"
#include "Copyaunit.h"
#include "Usetimer.h"
#include "ResizeaUnit.h"
#include "UseunitLink.h"
#include "UseElementControlPoint.h"
#include "UnitProperty.h"
#include "CreateAndUsePopupMenu.h"
#include "UseUnitproperties.h"
#include "CallVC.h"
#include "Table.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CVCDlg dialog

CVCDlg::CVCDlg(CWnd* pParent /*=NULL*/)
  : CDialog(CVCDlg::IDD, pParent)
{
  //{{AFX_DATA_INIT(CVCDlg)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
  m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CVCDlg::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(CVCDlg)
    // NOTE: the ClassWizard will add DDX and DDV calls here
  //}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CVCDlg, CDialog)
  //{{AFX_MSG_MAP(CVCDlg)
  ON_WM_QUERYDRAGICON()
  ON_WM_DESTROY()
  ON_WM_SIZE()
  ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
  ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
  ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
  ON_BN_CLICKED(IDC_BUTTON4, OnButton4)
  ON_BN_CLICKED(IDC_BUTTON5, OnButton5)
  ON_BN_CLICKED(IDC_BUTTON6, OnButton6)
  ON_BN_CLICKED(IDC_BUTTON7, OnButton7)
  ON_BN_CLICKED(IDC_BUTTON8, OnButton8)
  ON_BN_CLICKED(IDC_BUTTON9, OnButton9)
  ON_BN_CLICKED(IDC_BUTTON10, OnButton10)
  ON_BN_CLICKED(IDC_BUTTON11, OnButton11)
  ON_BN_CLICKED(IDC_BUTTON12, OnButton12)
  ON_BN_CLICKED(IDC_BUTTON13, OnButton13)
  ON_BN_CLICKED(IDC_BUTTON14, OnButton14)
  ON_BN_CLICKED(IDC_BUTTON15, OnButton15)
  ON_BN_CLICKED(IDC_BUTTON16, OnButton16)
  ON_BN_CLICKED(IDC_BUTTON17, OnButton17)
  ON_BN_CLICKED(IDC_BUTTON18, OnButton18)
  ON_BN_CLICKED(IDC_BUTTON19, OnButton19)
  ON_BN_CLICKED(IDC_BUTTON20, OnButton20)
  ON_BN_CLICKED(IDC_BUTTON21, OnButton21)
  ON_BN_CLICKED(IDC_BUTTON22, OnButton22)
  ON_BN_CLICKED(IDC_BUTTON23, OnButton23)
  ON_BN_CLICKED(IDC_BUTTON24, OnButton24)
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVCDlg message handlers

BOOL CVCDlg::OnInitDialog()
{
  CDialog::OnInitDialog();

  SetIcon(m_hIcon, TRUE);      // Set big icon
  SetIcon(m_hIcon, FALSE);    // Set small icon
  
  this->ShowWindow( SW_MAXIMIZE );
  
  return TRUE;
}

HCURSOR CVCDlg::OnQueryDragIcon()
{
  return (HCURSOR) m_hIcon;
}

CDialog* dlg = NULL;

BOOL CVCDlg::PreTranslateMessage( MSG* msg )
{
  if( dlg )
  {
    return dlg->PreTranslateMessage( msg );
  };
  return false;
};

void CVCDlg::OnDestroy()
{
  CDialog::OnDestroy();

  if( dlg )
    delete dlg;
}

void CVCDlg::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  
  if( dlg )
  {
    RECT r;
    GetClientRect( &r );
    r.left = 280;
    r.top = 0;
    dlg->MoveWindow( &r );
  };
}

#define CREATESUBWINDOW( DLGNAME )                        \
  if( dlg )                                               \
    delete dlg;                                           \
  dlg = new DLGNAME( this );                              \
  dlg->Create( DLGNAME::IDD, this );                      \
  RECT r;                                                 \
  GetClientRect( &r );                                    \
  r.left = 280;                                           \
  r.top = 0;                                              \
  dlg->MoveWindow( &r );                                  \
  dlg->ShowWindow( SW_SHOW );

void CVCDlg::OnButton1()
{
  CREATESUBWINDOW( RunPowerSystemWiringdiagram );
}

void CVCDlg::OnButton2()
{
  CREATESUBWINDOW( DesignModeWithOneActiveX );
}

void CVCDlg::OnButton3()
{
  CREATESUBWINDOW( DesignModeWithMultipleActiveX );  
}

void CVCDlg::OnButton4()
{
  CREATESUBWINDOW( RunModeWithOneActiveX );
}

void CVCDlg::OnButton5()
{
  CREATESUBWINDOW( RunModeWithMultipleActiveX  );
}

void CVCDlg::OnButton6()
{
  CREATESUBWINDOW( CreateUnitFromXML );
}

void CVCDlg::OnButton7()
{
  CREATESUBWINDOW( DesignAndRunScadapicture  );
}

void CVCDlg::OnButton8()
{
  CREATESUBWINDOW( DesignAndRunModaldialog  );
}

void CVCDlg::OnButton9()
{
  CREATESUBWINDOW( RunModelessdialog);
}

void CVCDlg::OnButton10()
{
  CREATESUBWINDOW( UseDocumentcoordinate );
}

void CVCDlg::OnButton11()
{
  CREATESUBWINDOW( UsePaper );
}

void CVCDlg::OnButton12()
{
  CREATESUBWINDOW( ZoomAndTranslationDocument  );
}

void CVCDlg::OnButton13()
{
  CREATESUBWINDOW( DrawNewunitByMouse );
}

void CVCDlg::OnButton14()
{
  CREATESUBWINDOW( AddaUnit );
}

void CVCDlg::OnButton15()
{
  CREATESUBWINDOW( Copyaunit );
}

void CVCDlg::OnButton16()
{
  CREATESUBWINDOW( Usetimer );
}

void CVCDlg::OnButton17()
{
  CREATESUBWINDOW( ResizeaUnit );
}

void CVCDlg::OnButton18()
{
  CREATESUBWINDOW( UseunitLink );
}

void CVCDlg::OnButton19()
{
  CREATESUBWINDOW( UseElementControlPoint );
}

void CVCDlg::OnButton20()
{
  CREATESUBWINDOW( UnitProperty );
}

void CVCDlg::OnButton21()
{
  CREATESUBWINDOW( CreateAndUsePopupMenu );
}

void CVCDlg::OnButton22()
{
  CREATESUBWINDOW( UseUnitproperties );
}

void CVCDlg::OnButton23()
{
  CREATESUBWINDOW( CallVC );
}

void CVCDlg::OnButton24()
{
  CREATESUBWINDOW( Table );
}
