// UseDocumentcoordinate.cpp : implementation file
//

#include "stdafx.h"
#include "vg.h"
#include "VC.h"
#include "UseDocumentcoordinate.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// UseDocumentcoordinate dialog


UseDocumentcoordinate::UseDocumentcoordinate(CWnd* pParent /*=NULL*/)
  : CDialog(UseDocumentcoordinate::IDD, pParent)
{
  //{{AFX_DATA_INIT(UseDocumentcoordinate)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
}


void UseDocumentcoordinate::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(UseDocumentcoordinate)
  DDX_Control(pDX, IDC_VGCTRL1, vg1);
  //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(UseDocumentcoordinate, CDialog)
  //{{AFX_MSG_MAP(UseDocumentcoordinate)
  ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
  ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
  ON_WM_SIZE()
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// UseDocumentcoordinate message handlers

BOOL UseDocumentcoordinate::OnInitDialog() 
{
  CDialog::OnInitDialog();
  
  vg1.Design( "http://www.visual-graph.com/activex/coordinate.xml" );
  
  return TRUE;  // return TRUE unless you set the focus to a control
                // EXCEPTION: OCX Property Pages should return FALSE
}

void UseDocumentcoordinate::OnButton1() 
{
  vg1.GetVg().SetCoordinate( 0 );
}

void UseDocumentcoordinate::OnButton2() 
{
  vg1.GetVg().SetCoordinate( 1 );
}

void UseDocumentcoordinate::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  
  if( vg1.m_hWnd )
  {
    vg1.MoveWindow( 0, 0, cx, cy - 60 );
    CWnd* bt = GetDlgItem( IDC_BUTTON1 );
    bt->MoveWindow( 0, cy - 50, 200, 20 );
    bt = GetDlgItem( IDC_BUTTON2 );
    bt->MoveWindow( 200, cy - 50, 200, 20 );
  };
  
}
